# twins
[![CI status](https://gitlab.com/tslocum/twins/badges/master/pipeline.svg)](https://gitlab.com/tslocum/twins/commits/master)
[![Donate](https://img.shields.io/liberapay/receives/rocketnine.space.svg?logo=liberapay)](https://liberapay.com/rocketnine.space)

[Gemini](https://gemini.circumlunar.space) server

**Warning:** The twins configuration format is still under development.
Breaking changes may be made.

## Features

- Serve static files
  - Directory listing (when enabled)
- Serve the output of system commands
- Reverse proxy requests

## Download

```bash
go get gitlab.com/tslocum/twins
```

## Configure

See [CONFIGURATION.md](https://gitlab.com/tslocum/twins/blob/master/CONFIGURATION.md)

## Run

```bash
twins
```

## Support

Please share issues and suggestions [here](https://gitlab.com/tslocum/twins/issues).

## Dependencies

- [go-gemini](https://github.com/makeworld-the-better-one/go-gemini)
- [go-shellquote](https://github.com/kballard/go-shellquote)
- [filetype](https://github.com/h2non/filetype)
- [yaml](https://github.com/go-yaml/yaml/tree/v3)
